=== modified file 'Makefile'
--- Makefile	2011-07-05 21:10:25 +0000
+++ Makefile	2011-07-06 09:08:37 +0000
@@ -26,10 +26,15 @@
 JS_BUILD := min
 endif
 
+define JS_LP_FIND
+find lib/lp/*/javascript ! -path '*/tests/*' \
+    ! -path '*/app/javascript/lazr/*' -name '*.js' ! -name '.*.js'
+endef
+
 JS_YUI := $(shell utilities/yui-deps.py $(JS_BUILD:raw=))
 JS_LAZR := $(LAZR_BUILT_JS_ROOT)/lazr.js
 JS_OTHER := $(wildcard lib/canonical/launchpad/javascript/*/*.js)
-JS_LP := $(shell find lib/lp/*/javascript ! -path '*/tests/*' ! -path '*/app/javascript/lazr/*' -name '*.js' ! -name '.*.js' )
+JS_LP := $(shell $(JS_LP_FIND))
 JS_ALL := $(JS_YUI) $(JS_LAZR) $(JS_OTHER) $(JS_LP)
 JS_OUT := $(LP_BUILT_JS_ROOT)/launchpad.js
 
@@ -445,7 +450,9 @@
 copy-apache-config:
 	# We insert the absolute path to the branch-rewrite script
 	# into the Apache config as we copy the file into position.
-	sed -e 's,%BRANCH_REWRITE%,$(shell pwd)/scripts/branch-rewrite.py,' configs/development/local-launchpad-apache > /etc/apache2/sites-available/local-launchpad
+	sed -e 's,%BRANCH_REWRITE%,$(shell pwd)/scripts/branch-rewrite.py,' \
+		configs/development/local-launchpad-apache > \
+		/etc/apache2/sites-available/local-launchpad
 	cp configs/development/local-vostok-apache \
 		/etc/apache2/sites-available/local-vostok
 	touch /var/tmp/bazaar.launchpad.dev/rewrite.log
@@ -486,4 +493,4 @@
 	reload-apache hosted_branches check_mailman check_config \
 	jsbuild jsbuild_minify clean_js clean_buildout buildonce_eggs \
 	build_eggs sprite_css sprite_image css_combine compile \
-	check_schema pydoctor clean_logs 
+	check_schema pydoctor clean_logs

=== modified file 'lib/canonical/config/schema-lazr.conf'
--- lib/canonical/config/schema-lazr.conf	2011-07-05 21:10:25 +0000
+++ lib/canonical/config/schema-lazr.conf	2011-07-06 09:08:37 +0000
@@ -537,7 +537,8 @@
 forced_hostname: none
 
 # Where to find the code import scheduler service.
-codeimportscheduler_url: http://xmlrpc-private.launchpad.dev:8087/codeimportscheduler
+codeimportscheduler_url:
+    http://xmlrpc-private.launchpad.dev:8087/codeimportscheduler
 
 # The maximum number of jobs to run on a machine at one time.
 max_jobs_per_machine: 3
@@ -620,7 +621,8 @@
 # The database user which will be used by this process.
 # datatype: string
 dbuser: rosettaadmin
-source_interface: lp.translations.interfaces.translationpackagingjob.ITranslationPackagingJobSource
+source_interface:
+    lp.translations.interfaces.translationpackagingjob.ITranslationPackagingJobSource
 
 # See [error_reports].
 error_dir: none
@@ -996,7 +998,8 @@
 
 [initializedistroseries]
 dbuser: initializedistroseries
-source_interface: lp.soyuz.interfaces.distributionjob.IInitializeDistroSeriesJobSource
+source_interface:
+    lp.soyuz.interfaces.distributionjob.IInitializeDistroSeriesJobSource
 
 # See [error_reports].
 error_dir: none
@@ -1089,7 +1092,8 @@
 # domains listed here will be sent to the parent domain,
 # allowing sessions to be shared between vhosts.
 # Domains should not start with a leading '.'.
-cookie_domains: demo.launchpad.net, staging.launchpad.net, launchpad.net, launchpad.dev
+cookie_domains:
+    demo.launchpad.net, staging.launchpad.net, launchpad.net, launchpad.dev
 
 # Maximum size of product release download files in bytes. A value
 # of 0 means no limit.

=== modified file 'lib/canonical/launchpad/scripts/runlaunchpad.py'
--- lib/canonical/launchpad/scripts/runlaunchpad.py	2011-07-06 08:32:00 +0000
+++ lib/canonical/launchpad/scripts/runlaunchpad.py	2011-07-06 09:08:37 +0000
@@ -304,8 +304,8 @@
     """
     if '-i' in args:
         index = args.index('-i')
-        config.setInstance(args[index+1])
-        del args[index:index+2]
+        config.setInstance(args[index + 1])
+        del args[index:index + 2]
 
     if '-C' not in args:
         zope_config_file = config.zope_config_file
@@ -336,10 +336,10 @@
         if config.launchpad.launch:
             main(argv)
         else:
-            # We just need the foreground process to sit around forever waiting
-            # for the signal to shut everything down.  Normally, Zope itself would
-            # be this master process, but we're not starting that up, so we need
-            # to do something else.
+            # We just need the foreground process to sit around forever
+            # waiting for the signal to shut everything down.  Normally, Zope
+            # itself would be this master process, but we're not starting that
+            # up, so we need to do something else.
             try:
                 signal.pause()
             except KeyboardInterrupt:

=== modified file 'versions.cfg'
--- versions.cfg	2011-07-05 20:20:03 +0000
+++ versions.cfg	2011-07-06 09:08:37 +0000
@@ -242,10 +242,11 @@
 zope.tal = 3.5.1
 zope.tales = 3.4.0
 zope.testbrowser = 3.7.0a1
-# p1 Build of lp:~mars/zope.testing/3.9.4-p1.  Fixes bugs 570380 and 587886.
-# p2 With patch for thread leaks to make them skips, fixes windmill errors with
-# 'new threads' in hudson/ec2 builds.
-# p3 And always tear down layers, because thats the Right Thing To Do.
+# p1 Build of lp:~mars/zope.testing/3.9.4-p1. Fixes bugs 570380 and
+#    587886.
+# p2 With patch for thread leaks to make them skips, fixes windmill
+#    errors with 'new threads' in hudson/ec2 builds.
+# p3 And always tear down layers, because that's the Right Thing To Do.
 zope.testing = 3.9.4-p3
 zope.thread = 3.4
 zope.traversing = 3.8.0

